package com.rcpquickstart.tutorial.help;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;

public class ApplicationActionBarAdvisor extends ActionBarAdvisor {

	public ApplicationActionBarAdvisor(IActionBarConfigurer configurer) {
		super(configurer);
	}

	protected void makeActions(IWorkbenchWindow window) {
		this.register(ActionFactory.HELP_CONTENTS.create(window));
		this.register(ActionFactory.HELP_SEARCH.create(window));
	}

	protected void fillMenuBar(IMenuManager menuBar) {
		MenuManager helpMenu = new MenuManager("&Help", "help");
		helpMenu.add(this.getAction(ActionFactory.HELP_CONTENTS.getId()));
		helpMenu.add(this.getAction(ActionFactory.HELP_SEARCH.getId()));
		menuBar.add(helpMenu);
	}
}
